<?php
$title = 'Настройка api аккаунта';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
if(isset($_POST['pass'])){
$filter = array(
    'key' => trim(filter_input(INPUT_POST, 'key', FILTER_UNSAFE_RAW)),
    );
if(mb_strlen($filter['key']) < 5 || mb_strlen($filter['key']) > 25) $msg = 'Длина ключа должна быть от 5 до 25 символов';
if(empty($msg)){
$_SESSION['message'] = $msg;
exit(header('Location: /setting/my/api.aspx'));
}else{
$update = $db->prepare("UPDATE `users` SET `api` = ? WHERE `id` = ?");
$update -> execute([$filter['key'],$user['id']]);
$_SESSION['message'] = 'Вы успешно изменили ключ!';
exit(header('Location: /setting/my/api.aspx'));
}
}

echo '<div class="top">'.$title.'</div>';
?>
<script>
$(document).ready(function(){
            $('#add_key').click(function(){
                var key    = $('#key').val();
                $.ajax({
                    url: "/ajax/key.php",
                    type: "post",
                    data: { 
                        "key":    key,
                    }  ,
                    
                    success:
                    function(count) {
                        $('#alert').html(count);
                    }
                });
            });
        });
        function PasGen() {
            var chars = "123456789ABCDEFGHJKMNPQRSTUVWXYZabcdefghjkmnopqrstuvwxyz";
            var length = 16;
            var res = "";
            var r;
            var i;
            for (i = 1; i <= length; i++) {
                r = Math.floor(Math.random() * chars.length);
                res = res + chars.substring(r, r + 1);
            }
            document.getElementById('key').value = res;
        }
    </script>
<?
echo '<div class="box">
<h3> Key API: </h3><br/>
            <input type="text" value="'.$user['api'].'" disabled><br/>
</div>
<div id="alert"></div>
<div class="box">

<h3 style=""> Секретный код <span style="color: red;">*</span>: <span onclick="PasGen()">[сгенерировать]</span></h3>
            <br/>
<input type="text" id="key" name="key" placeholder="Укажите код">
         <br/><input type="submit" id="add_key" value="Сменить">
    </div>

';
?>
<div class="wrap">
        Минимальные суммы списания:<br/>
                &bull; Qiwi - 10 руб.<br/>
                &bull; Yandex Money - 10 руб.<br/>
                &bull; Мобильный телефон - 10 руб.<br/>
                &bull; Банковская карта - 100 руб.<br/>
                <br/>
        Сумма вывода формируется из суммы списания за вычетом комиссий.<br/>
        Комиссия сервиса на вывод:<br/>
                &bull; от 1.00 до 1000.00 руб. - 5.00%,<br/>
                &bull; от 1000.01 до 5000.00 руб. - 4.00%,<br/>
                &bull; от 5000.01 до 25000.00 руб. - 3.00%,<br/>
                &bull; от 25000.01 до 50000.00 руб. - 2.00%,<br/>
                <br/>
        Дополнительная комиссия платежных систем:<br/>
                &bull; Qiwi - 3.00 %.<br/>
                &bull; Yandex Money - 3.00 %.<br/>
                &bull; Мобильный телефон - 3.00 %.<br/>
                &bull; Банковская карта - 3.00 + 45 руб %.<br/>
            </div>
<?

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');